Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Control_Block::ACE_Name_Node Class Reference

This class supports "named memory regions" within . More...

`#include <Malloc.h>`

List of all members.

## Public Methods
| ACE_Name_Node (const char *name, char *name_ptr, char *pointer, ACE_Name_Node *head)
| Constructor.
| ACE_Name_Node (const ACE_Name_Node &)
| Copy constructor.
| ACE_Name_Node (void)
| Constructor.
| ~ACE_Name_Node (void)
| Constructor.
const char* | name (void) const
| Return a pointer to the name of this node.
void | name (const char *)
| Assign a name;.
void | dump (void) const
| Dump the state of the object.
## Public Attributes
char* | name_
| Name of the Node.
char* | pointer_
| Pointer to the contents.
ACE_Name_Node* | next_
| Pointer to the next node in the doubly-linked list.
ACE_Name_Node* | prev_
| Pointer to the previous node in the doubly-linked list.
## Static Public Methods
void | init_ptr (ACE_Name_Node **ptr, ACE_Name_Node *init, void *base_addr)
| Initialize a name node pointer.

## Detailed Description

This class supports "named memory regions" within .

Internally, the named memory regions are stored as a doubly-linked list within the <Memory_Pool>. This makes it easy to iterate over the items in the list in both FIFO and LIFO order.

## Constructor & Destructor Documentation

ACE_Control_Block::ACE_Name_Node::ACE_Name_Node ( | const char * name,
| char * name_ptr,
| char * pointer,
| ACE_Name_Node * head )

| Constructor.

ACE_Control_Block::ACE_Name_Node::ACE_Name_Node ( | const ACE_Name_Node & )

| Copy constructor.

ACE_Control_Block::ACE_Name_Node::ACE_Name_Node ( | void )

| Constructor.

ACE_INLINE ACE_Control_Block::ACE_Name_Node::~ACE_Name_Node ( | void )

| Constructor.

## Member Function Documentation

void ACE_Control_Block::ACE_Name_Node::dump ( | void ) const

| Dump the state of the object.

ACE_INLINE void ACE_Control_Block::ACE_Name_Node::init_ptr ( | ACE_Name_Node ** ptr,
| ACE_Name_Node * init,
| void * base_addr )`[static]`

| Initialize a name node pointer.

void ACE_Control_Block::ACE_Name_Node::name ( | const char * )

| Assign a name;.

const char * ACE_Control_Block::ACE_Name_Node::name ( | void ) const

| Return a pointer to the name of this node.

## Member Data Documentation

char * ACE_Control_Block::ACE_Name_Node::name_

| Name of the Node.

ACE_Name_Node * ACE_Control_Block::ACE_Name_Node::next_

| Pointer to the next node in the doubly-linked list.

char * ACE_Control_Block::ACE_Name_Node::pointer_

| Pointer to the contents.

ACE_Name_Node * ACE_Control_Block::ACE_Name_Node::prev_

| Pointer to the previous node in the doubly-linked list.

The documentation for this class was generated from the following files:

- Malloc.h
- Malloc.cpp
- Malloc.i